LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTypeDescriptionEnumerationAccess Interface Referencepublished

Defines an interface for creating enumerations for type descriptions. More...

`import"XTypeDescriptionEnumerationAccess.idl";`

Inheritance diagram for XTypeDescriptionEnumerationAccess:

## Public Member Functions
XTypeDescriptionEnumeration | createTypeDescriptionEnumeration ([in] string moduleName, [in] sequence< com::sun::star::uno::TypeClass > types, [in] TypeDescriptionSearchDepth depth) raises ( NoSuchTypeNameException, InvalidTypeNameException )
| Creates an enumeration for type descriptions. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Defines an interface for creating enumerations for type descriptions.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ createTypeDescriptionEnumeration()

XTypeDescriptionEnumeration createTypeDescriptionEnumeration | ( | [in] string | moduleName,
|  | [in] sequence< com::sun::star::uno::TypeClass > | types,
|  | [in] TypeDescriptionSearchDepth | depth
| ) |  |
raises | ( | NoSuchTypeNameException,
|  | InvalidTypeNameException
| ) |  |

Creates an enumeration for type descriptions.

An enumeration is always created for a UNOIDL module. The enumeration contents can be restricted by specifying type classes. Only types that match one of the supplied type classes will be part of the collection. Additionally, it is possible to specify the depth for the search within the underlying type description tree.

Parameters

  moduleName | contains the name of a UNOIDL module. Modules are separated by a single '.' (i.e., "com.sun.star.reflection"). The root of the module hierarchy is specified with an empty string. Module names are always absolute, never relative.
  types | restricts the contents of the enumeration. It will only contain type descriptions that match one of the supplied type classes. An empty sequence specifies that the enumeration shall contain all type descriptions.

Valid types classes are:

- com::sun::star::uno::TypeClass::MODULE
- com::sun::star::uno::TypeClass::INTERFACE
- com::sun::star::uno::TypeClass::SERVICE
- com::sun::star::uno::TypeClass::STRUCT
- com::sun::star::uno::TypeClass::ENUM
- com::sun::star::uno::TypeClass::EXCEPTION
- com::sun::star::uno::TypeClass::TYPEDEF
- com::sun::star::uno::TypeClass::CONSTANT
- com::sun::star::uno::TypeClass::CONSTANTS
- com::sun::star::uno::TypeClass::SINGLETON

Parameters

  depth | specifies the depth of search in the underlying tree of type descriptions. Clients should be aware of the fact that specifying TypeDescriptionSearchDepth::INFINITE can lead to larger delays when constructing or using the XTypeDescriptionEnumeration instance.

Returns
  an enumeration of type descriptions.

The enumeration returns implementations of XTypeDescription. Following concrete UNOIDL parts represented by specialized interfaces derived from XTypeDescription can be returned by the enumerator:

IDL | interface
--- | ---
enum | XEnumTypeDescription
struct | XCompoundTypeDescription (the returned object should actually implement XStructTypeDescription)
exception | XCompoundTypeDescription
interface | XInterfaceTypeDescription (the returned object should actually implement XInterfaceTypeDescription2)
service | XServiceTypeDescription (the returned object should actually implement XServiceTypeDescription2)
singleton | XSingletonTypeDescription (the returned object should actually implement XSingletonTypeDescription2)
module | XModuleTypeDescription
typedef | XIndirectTypeDescription
constant | XConstantTypeDescription
constants | XConstantsTypeDescription

Exceptions

  NoSuchTypeNameException | in case that the given module name does not exist. This exception will never be thrown in case moduleName is the empty string.
  InvalidTypeNameException | in case that the given module name does exist, but does not specify a UNOIDL module. This exception will never be thrown in case moduleName is the empty string.

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XTypeDescriptionEnumerationAccess.idl